HELP2MAN(1)

NOME
help2man - gera uma página de manual simples

DESCRIÇÃO
`help2man' generates a man page out of `--help' and `--version' output.

Usage: help2man [OPTION]... EXECUTABLE

-n, --name=STRING
    description for the NAME paragraph

-s, --section=SECTION
    section number for manual page (1, 6, 8)

-m, --manual=TEXT
    name of manual (User Commands, ...)

-S, --source=TEXT
    source of program (FSF, Debian, ...)

-L, --locale=STRING
    select locale (default "C")

-i, --include=FILE
    include material from `FILE'

-I, --opt-include=FILE
    include material from `FILE' if it exists

-o, --output=FILE
    send output to `FILE'

-p, --info-page=TEXT
    name of Texinfo manual

-N, --no-info
    suppress pointer to Texinfo manual

--help
    print this help, then exit

--version
    print version number, then exit

EXECUTABLE should accept `--help' and `--version' options and produce output on stdout although alternatives may be specified using:

-h, --help-option=STRING
    help option string

-v, --version-option=STRING
    version option string

--version-string=STRING
    version string

--no-discard-stderr
    include stderr when parsing option output

ARQUIVOS INCLUSOS
Materiais adicionais podem ser incluídos na saída gerada com as opções --include e --opt-include
    [seção]
    texto
    /padrão/
    texto Blocos de texto *roff literais são inseridos na saída ou no início de uma dada [seção] (indiferente à maiusculização), ou após um parágrafo que coincida com o /padrão/. Os padrões usam a sintaxe Perl de expressão regular e podem ser seguidos pelos modificadores i, s ou m (veja perlre(1)). As linhas antes da primeira seção ou de um padrão que comece com "-" são processados como opções. Qualquer outra coisa é ignorada silenciosamente e pode ser usada para comentários, palavras-chaves RCS e coisas do tipo. A ordem da saída das seções é:
    NOME
    SINOPSE
    DESCRIÇÃO
    OPÇÕES
    EXEMPLOS
    outra
    AUTOR
    RELATANDO PROBLEMAS
    DIREITOS AUTORAIS
    VEJA TAMBÉM Quaisquer seções [nome] ou [sinopse] que apareçam no arquivo de inclusão substituirá o que seria produzido automaticamente (embora você ainda possa sobrepor o primeiro com --name se necessário). Outras seções são acrescentadas antes da saída produzida automaticamente para as seções padrões citadas acima ou inclusas na posição outra (acima) na ordem em que elas forem encontradas no arquivo de inclusão.

DISPONIBILIDADE
A última versão desta distribuição está disponível on-line em:
    ftp://ftp.gnu.org/gnu/help2man/

RELATANDO PROBLEMAS
Report bugs to <bug-help2man@gnu.org>.

DIREITOS AUTORAIS
Copyright © 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009 Free Software Foundation, Inc. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Written by Brendan O'Dea <bod@debian.org>

VEJA TAMBÉM
The full documentation for help2man is maintained as a Texinfo manual. If the info and help2man programs are properly installed at your site, the command

    info help2man

should give you access to the complete manual.